Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.adapters.io
Class InputStreamByteIterator

    java.lang.Object
      org.apache.commons.collections.primitives.adapters.io.InputStreamByteIterator

All Implemented Interfaces:
  ByteIterator

public class InputStreamByteIterator
extends Object
implements ByteIterator

Adapts an `InputStream` to the `ByteIterator` interface.

Version:
  $Revision: 1.2 $ $Date: 2003/10/29 18:28:20 $
Author:
  Rodney Waldhoff

Constructor Summary
`InputStreamByteIterator(InputStream in)`

Method Summary
`static ByteIterator` | `adapt(InputStream in)`
`boolean` | `hasNext()` Returns `true` iff I have more elements.
`byte` | `next()` Returns the next element in me.
`void` | `remove()` Not supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputStreamByteIterator

    public InputStreamByteIterator(InputStream in)

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `ByteIterator`
  Returns `true` iff I have more elements. (In other words, returns `true` iff a subsequent call to `next` will return an element rather than throwing an exception.)

  Specified by:
    `hasNext` in interface `ByteIterator`
  Returns:
    `true` iff I have more elements

### next

    public byte next()

  Description copied from interface: `ByteIterator`
  Returns the next element in me.

  Specified by:
    `next` in interface `ByteIterator`
  Returns:
    the next element in me

### remove

    public void remove()
                throws UnsupportedOperationException

  Not supported.

  Specified by:
    `remove` in interface `ByteIterator`
  Throws:
    `UnsupportedOperationException`

### adapt

    public static ByteIterator adapt(InputStream in)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.